Retrieve All Chat Conversations

This operation returns all chat conversations in the system. The response may include both one-to-one and group conversations, and can be paginated using index and count.

Design Note

Conversations are implicitly created when messages are sent via the Chat Messages operation (POST /chat/v1/messages). The Chat Conversations API resource provides only GET and DELETE operations. There are no POST or PATCH operations for conversations as they are managed automatically through message creation.

Authorization and Permissions

  • An OpenAm or UKG Authentication token is required to retrieve conversations.
Query Params
integer
≤ 100
Defaults to 100

The count of a paginated response, which specifies the number of chat conversations to return per page. If not specified, a default of 100 conversations is returned. The count cannot exceed 100.

number

The starting offset for the paginated response, which specifies the number of records to skip before returning results. If not specified, a default of 0 is used.

string

A comma-separated list of response property names by which to sort the results. By default, sorting is in ascending order. To specify descending order, append 'desc' after the property name. For example, 'sort=createdAt desc,modifiedAt' sorts by createdAt descending and then by modifiedAt ascending.

Headers
string

A UUID value to track the request, used for debugging and tracing.

string
enum
Defaults to application/json

Generated from available response content types

Allowed:
Responses

Language
Credentials
Bearer
JWT
URL
LoadingLoading…
Response
Choose an example:
application/json
application/problem+json